This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 880974 - [Intel Fedora18 BUG] Creating IMSM RAID volume on more than one controller can cause data loss and has to be forbidden
[Intel Fedora18 BUG] Creating IMSM RAID volume on more than one controller ca...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
18
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-28 05:10 EST by Lukasz Dorau
Modified: 2013-07-04 22:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: mdadm-3.2.6-19.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-05 01:52:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukasz Dorau 2012-11-28 05:10:15 EST
Description of problem:
The Intel Matrix Storage Manager optional ROM (IMSM OpROM) does not support RAID volumes on more than one controller, so creating IMSM RAID volume on more than one controller can cause data loss and has to be forbidden.

Version-Release number of selected component (if applicable):
- 3.2.6-1.fc18

How reproducible:
Always

Steps to Reproduce:
1. Create an IMSM RAID volume (on platform with IMSM OpROM) using drives connected to two different AHCI or two different SCU controllers.
2. Reboot OS
  
Actual results:
An IMSM RAID volume on more than one controller is created. After reboot of OS the volume is degraded or failed by OpROM.

Expected results:
Creating an IMSM RAID volume on more than one controller is forbidden.

Additional info:
The following patch fixes this bug:
imsm: Forbid spanning between multiple controllers.
commit 3c309c82699ae3bebc716dbd5abea079dd41184a
http://git.neil.brown.name/git?p=mdadm.git;a=commitdiff;h=3c309c82699ae3bebc716dbd5abea079dd41184a
Comment 1 Fedora Update System 2012-12-06 08:49:00 EST
mdadm-3.2.6-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-3.fc18
Comment 2 Fedora Update System 2012-12-06 15:08:47 EST
Package mdadm-3.2.6-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.6-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19855/mdadm-3.2.6-3.fc18
then log in and leave karma (feedback).
Comment 3 Lukasz Dorau 2012-12-07 06:27:11 EST
Intel has tested mdadm-3.2.6-3.fc18 and confirms the bug is fixed in this build.
Comment 4 Fedora Update System 2012-12-11 01:36:25 EST
mdadm-3.2.6-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-5.fc18
Comment 5 Lukasz Dorau 2012-12-11 03:28:28 EST
Intel has tested mdadm-3.2.6-5.fc18 and confirms the bug is fixed in this build.
Comment 6 Fedora Update System 2012-12-11 04:21:44 EST
mdadm-3.2.6-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-4.fc17
Comment 7 Fedora Update System 2012-12-11 04:27:51 EST
mdadm-3.2.6-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-4.fc16
Comment 8 Fedora Update System 2012-12-11 11:30:31 EST
mdadm-3.2.6-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-7.fc18
Comment 9 Fedora Update System 2012-12-11 11:39:15 EST
mdadm-3.2.6-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-7.fc17
Comment 10 Fedora Update System 2012-12-11 11:47:52 EST
mdadm-3.2.6-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-7.fc16
Comment 11 Lukasz Dorau 2012-12-13 03:42:29 EST
Intel has tested the package mdadm-3.2.6-7.fc18 and confirms the bug is fixed in this build.
Comment 12 Fedora Update System 2013-01-04 12:03:58 EST
mdadm-3.2.6-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-8.fc17
Comment 13 Fedora Update System 2013-01-04 12:11:17 EST
mdadm-3.2.6-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-8.fc18
Comment 14 Fedora Update System 2013-01-05 01:50:45 EST
mdadm-3.2.6-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-01-05 01:52:56 EST
mdadm-3.2.6-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-01-09 00:47:25 EST
mdadm-3.2.6-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-11.fc18
Comment 17 Fedora Update System 2013-01-11 18:18:38 EST
mdadm-3.2.6-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-03-20 17:38:51 EDT
mdadm-3.2.6-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-04-23 07:26:51 EDT
mdadm-3.2.6-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-18.fc18
Comment 20 Fedora Update System 2013-04-24 09:53:28 EDT
mdadm-3.2.6-19.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-19.fc18
Comment 21 Fedora Update System 2013-07-04 22:11:05 EDT
mdadm-3.2.6-19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.